<template>
	<mind-layout>
		<template slot="toolbar-actions">
			<el-button type="primary" icon="el-icon-location-outline" size="small" 
				@click="$refs.viajes.nuevoViaje()" >Nuevo Viaje</el-button>
			<el-button type="primary" plain icon="el-icon-document" size="small" 
				@click="$refs.planillas.nuevaPlanilla()">Abrir Planilla</el-button>
		</template>
		<div class="container">
			<div class="list-container viajes">
				<el-container style="height:100%">
					<el-header>
						Viajes
					</el-header>
					<el-main>
						<lista-viajes ref="viajes"  />
					</el-main>
					<!-- <el-footer >
						<el-button type="primary" @click="$refs.viajes.nuevoViaje()">Nuevo Viaje</el-button>
					</el-footer> -->
				</el-container>
			</div>
			<div class="list-container planillas">
				<el-container style="height:100%">
					<el-header>
						Móviles
					</el-header>
					<el-main>
						<lista-planillas ref="planillas" />
					</el-main>
				</el-container>
			</div>
			<!-- <div class="list-container ocupados">
				<el-container style="height:100%">
					<el-header>
						Móviles en Viaje
					</el-header>
					<el-main>
						<lista-planillas estado="Ocupado" />
					</el-main>
					<el-footer >
					</el-footer>
				</el-container>
				
			</div> -->
		</div>
		
	</mind-layout>
</template>

<script>
import listaViajes from '../components/home-lista-viajes'
import listaPlanillas from '../components/home-lista-planillas'
export default {
  components: {
		listaViajes,
		listaPlanillas,
  }
}
</script>
<style scoped>
.list-container {
	/* background: rgb(77, 58, 128); */
	padding: 10px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
	overflow: hidden;
}

.planillas {
  grid-area: planillas;
}
.viajes {
  grid-area: viajes;
}

.container {
	gap: 10px;

	height: 100%;
  display: grid;
  grid-template-columns: repeat(12, calc(100% / 12 - 10px));
  grid-template-rows: auto;
  grid-template-areas: 
		"viajes viajes viajes viajes viajes viajes planillas planillas planillas planillas planillas planillas"

}

.el-header {
	line-height: 50px;
	height: 50px !important;
	box-shadow: 0 1px 4px rgba(0,21,41,.08);
	text-align: center;
}

.el-main {
	height: calc(100% - 50px);
	overflow-y: auto;
	padding: 0px;
}

.el-footer {
	line-height: 50px;
	height: 50px !important;
	box-shadow: 0 1px 4px rgba(0,21,41,.08);
}



/* .el-button {
	width: calc(100% - 10px)
} */

.el-card.libre {
	background: rgba(70, 156, 77, 0.08);
}


.el-card.ocupado {
	background: rgba(139, 47, 47, 0.1);
}


</style>
